UIGraphValidator.GraphValidatorState (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.component.UIGraphValidator.GraphValidatorState class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIGraphValidator.GraphValidatorState

    java.lang.Object
      org.richfaces.component.UIGraphValidator.GraphValidatorState

Enclosing class:
  UIGraphValidator

    public static final class UIGraphValidator.GraphValidatorState

extends java.lang.Object

Constructor Summary
`UIGraphValidator.GraphValidatorState()`

Method Summary
`java.lang.Object` | `getBase()`
`java.lang.Object` | `getCloned()`
`java.lang.Object` | `getProperty()`
`boolean` | `isActive()`
`boolean` | `isSame(java.lang.Object base, java.lang.Object property)`
`boolean` | `isSameBase(java.lang.Object base)`
`boolean` | `isSameProperty(java.lang.Object property)`
`void` | `setActive(boolean active)`
`void` | `setBase(java.lang.Object base)`
`void` | `setCloned(java.lang.Object cloned)`
`void` | `setProperty(java.lang.Object property)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIGraphValidator.GraphValidatorState

    public UIGraphValidator.GraphValidatorState()

Method Detail

### isActive

    public boolean isActive()

  Returns:
    the active

### setActive

    public void setActive(boolean active)

  Parameters:
    `active` - the active to set

### getCloned

    public java.lang.Object getCloned()

  Returns:
    the cloned

### setCloned

    public void setCloned(java.lang.Object cloned)

  Parameters:
    `cloned` - the cloned to set

### getBase

    public java.lang.Object getBase()

  Returns:
    the base

### setBase

    public void setBase(java.lang.Object base)

  Parameters:
    `base` - the base to set

### getProperty

    public java.lang.Object getProperty()

  Returns:
    the property

### setProperty

    public void setProperty(java.lang.Object property)

  Parameters:
    `property` - the property to set

### isSameBase

    public boolean isSameBase(java.lang.Object base)

### isSameProperty

    public boolean isSameProperty(java.lang.Object property)

### isSame

    public boolean isSame(java.lang.Object base,
                          java.lang.Object property)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.